org.vertx.java.core

## Class SimpleHandler

- java.lang.Object
- - org.vertx.java.core.SimpleHandler

- All Implemented Interfaces:
    Handler<java.lang.Void>

      public abstract class SimpleHandler
      extends java.lang.Object
      implements Handler<java.lang.Void>

  This class can be used for simple handlers which don't receive any value.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `handle()` Handle the event.
    `void` | `handle(java.lang.Void event)` Something has happened, so handle it.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleHandler

          public SimpleHandler()

  - ### Method Detail

    - #### handle

          public void handle(java.lang.Void event)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<java.lang.Void>`

    - #### handle

          protected abstract void handle()

      Handle the event. It should be overridden by the user.